namespace TLang.VM
{
    public class ClassEntry
    {
        public byte Modifier {get;set;}=0;
        public bool Abstract => (Modifier & 0b00001000) > 0;

        public bool Method => (Modifier & 0b00000100) > 0;

        public bool Private => (Modifier & 0b00000011) == 0;
        public bool Protected => (Modifier & 0b00000011) == 1;
        public bool Public => (Modifier & 0b00000011) == 2;

        public string Name {get;set;}

        public int ChunkId {get;set;}
    }
}