using System;
using System.Collections.Generic;

namespace TLang.VM
{
    public class LoadedClassData
    {
        public LoadedClassData(string inheritsFrom,TVMFile file,List<ClassEntry> entries)
        {
            InheritsFrom = inheritsFrom;
            File = file;
            Entries = entries;
        }
        public string InheritsFrom {get;set;}

        public TVMFile File {get;set;}

        public List<ClassEntry> Entries {get;set;}

        internal Class ToClass(string name)
        {
            Class cla=new Class();
            cla.ClassEntries = Entries;
            cla.InheritsFrom = InheritsFrom;
            cla.Name = name;
            return cla;
        }
    }
}